# List support packages for a device

Get `https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages`

Returns up to 5 support packages currently retained in blob storage for the specified device, newest first. The device's current support package operation status is also included.

**RBAC Capability Required:** `fleet.device.get`

## Authentication

**Authorization Bearer**  
Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Path parameters

- **project_name**  
  - `string` **Required**
- **name**  
  - `string` **Required**

## Response

**200** List of support packages.

- `@odata.nextLink`  
  - `string` Optional  
  - @odata.nextLink URL if the page length and number of items match.
- **supplemental**  
  - `object` [ListResponseSupplementalSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/listresponsesupplementalschema)  **Required**  
  - Supplemental info  
  - **Properties:**
    - **count**  
      - `integer` **Required**  
      - Number of items returned  
    - **kind**  
      - `string` **Required**  
      - Type of items in the list  
    - **operation**  
      - `string` **Required**  
      - Operation type. Should always say 'list'  
    - **pagination**  
      - `object` [PaginationInfoSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/paginationinfoschema)  **Required**  
      - Pagination info  
      - **Properties:**
        - **end**  
          - `integer` **Required**  
          - Position of the last item in the list  
        - **records**  
          - `integer` **Required**  
          - Total number of items returned in the list  
        - **start**  
          - `integer` **Required**  
          - Position of the first item in the list  
        - **total**  
          - `integer` **Required**  
          - Total number of items in the project  
    - **subscription**  
      - `object` [ProjectInfoSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/projectinfoschema) Optional  
      - Project info  
      - **Properties:**
        - **id**  
          - `string` **Required**  
          - Project ID  
        - **name**  
          - `string` **Required**  
          - Project name  
    - **value**  
      - `list of objects` [SupportPackageListItemSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/supportpackagelistitemschema) **Required**  
      - List of support packages.  
      - **Properties:**
        - **metadata**  
          - `object` [SupportPackageMetadataSchema](https://docs.mediakind.com/api-reference/fleets-api/schemas/supportpackagemetadataschema) **Required**  
          - Support package metadata.  
          - **Properties:**
            - **created**  
              - `string or null` Optional  
              - ISO 8601 creation timestamp of the support package.
            - **description**  
              - `string` Optional  
              - A description of the support package content.
            - **device**  
              - `string` Optional  
              - The device name this package belongs to.
            - **friendlyName**  
              - `string` Optional  
              - The human-friendly name of the support package.
            - **name**  
              - `string` **Required**  
              - The name of the support package.
            - **size**  
              - `integer or null` Optional  
              - The size of the support package in bytes.

## Errors

- **400 Bad Request**  
  - `error` object [ErrorDetail](https://docs.mediakind.com/api-reference/fleets-api/schemas/errordetail) **Required**  
  - Pertinent information about the error  
  - **Properties:**
    - **code**  
      - `string` **Required**  
    - **detail**  
      - `string` **Required**  
    - **extraDetail**  
      - `map from strings to any` Optional  
    - **ref**  
      - `string` **Required**  
    - **status**  
      - `integer` **Required**

- **401 Unauthorized**  
  - Same structure as above.

- **403 Forbidden**  
  - Same structure as above.

- **404 Not Found**  
  - Same structure as above.

- **429 Too Many Requests**  
  - Same structure as above.

- **500 Internal Server Error**  
  - Same structure as above.
